hyphy (2.5.59+dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:57 +1100

hyphy (2.5.59+dfsg-1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:59:43 +0000

hyphy (2.5.59+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:26:58 +0000

hyphy (2.5.59+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sat, 13 Jan 2024 17:00:01 +0100

hyphy (2.5.58+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 13:22:55 +0100

hyphy (2.5.57+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.57+dfsg

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Nov 2023 12:27:51 +0100

hyphy (2.5.56+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.56+dfsg
  * rm_arch_specific_flags.patch: refresh.
  * use_debian_sqlite.patch: refresh.
  * set-zlib-after-setting-default-libs.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Mon, 06 Nov 2023 23:01:33 +0100

hyphy (2.5.53+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.53+dfsg
  * d/{clean,rules}: fix building twice in a row.
    This is done by cleaning temporary test data and build results on one
    hand, and by fixing some national encoded files in their temporary
    installation location instead of within upstream source code on the
    other hand. (Closes: #1048874)

 -- Étienne Mollier <emollier@debian.org>  Sat, 26 Aug 2023 11:05:10 +0200

hyphy (2.5.52+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.52+dfsg
  * fix-configure-failure.patch: remove: fixed upstream.
  * d/control: remove build dependency on swig.

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Aug 2023 12:09:38 +0200

hyphy (2.5.51+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.51+dfsg
  * Remove constraints unnecessary since bullseye (oldstable)
    * Remove 3 maintscript entries from 3 files.
    Changes-By: deb-scrub-obsolete
  * rm_arch_specific_flags.patch: refresh.
  * d/control: build now depends on swig.
  * d/control: build now depends on python3 sdk.
  * fix-configure-failure.patch: add: fix a cmake error.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 14:29:23 +0200

hyphy (2.5.50+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.50+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 17:45:32 +0000

hyphy (2.5.47+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 20:48:53 +0100

hyphy (2.5.46+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 15:50:21 +0100

hyphy (2.5.42+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 22 Sep 2022 09:13:46 +0200

hyphy (2.5.41+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 14:08:01 +0200

hyphy (2.5.40+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.40+dfsg
  * d/*.lintian-overrides: refresh overrides to new convention.

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Jul 2022 10:08:29 +0200

hyphy (2.5.39+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Proper filename for upstream tarball

  [ Étienne Mollier ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Tue, 31 May 2022 19:37:50 +0200

hyphy (2.5.38+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2022 12:18:35 +0200

hyphy (2.5.36+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Feb 2022 13:35:31 +0100

hyphy (2.5.33+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 10:07:52 +0000

hyphy (2.5.32+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.32+dfsg
  * Refresh d/p/use_debian_sqlite.patch, do not impose ZLIB
    changes on the same patch so as to avoid confusion
  * d/p/set-zlib-after-setting-default-libs.patch: Check for existence
    of ZLIB *after* DEFAULT_LIBRARIES have been set

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Aug 2021 19:44:43 +0530

hyphy (2.5.31+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Removed spelling patch, it was merged upstream

  [ Étienne Mollier ]
  * Remove d/*.maintscriptsL: these have been brought in
    the earlier release of hyphy 2.5.28+dfsg-3
  * d/control: update uploader address
  * d/watch: fix broken link to github

  [ Nilesh Patra ]
  * d/watch: Fix watch regex
  * New upstream version 2.5.31+dfsg
  * d/p/*.patch: Refresh patches
  * d/p/use_debian_sqlite.patch: Check for existence of
    ZLIB *after* DEFAULT_LIBRARIES have been set
  * Fix copyright

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 19:06:23 +0530

hyphy (2.5.28+dfsg-3) unstable; urgency=medium

  * d/*.maintscript: handle symbolic link removal in hyphy 2.5.18+dfsg-1.
    Closes: #985284

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Tue, 16 Mar 2021 21:52:00 +0100

hyphy (2.5.28+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: set LC_ALL to fix groff warnings in the manpages
  * debian/patches/spelling: fix some typos
  * debian/rules: delete erroneous rpath for the MPI binaries
  * debian/rules: improve the clean target

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Feb 2021 10:57:19 +0100

hyphy (2.5.28+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debian/tests/run-unit-tests: don't skip four tests that are now passing

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 Feb 2021 17:15:31 +0100

hyphy (2.5.27+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix arch independent build issue which cause the amd64 autopkgtests to
    fail.
  * On amd64, run the build-time tests the SIMD varients that are supported by
    the build-time CPU.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 31 Jan 2021 11:05:20 +0100

hyphy (2.5.27+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix arch independent build.
  * debian/control: mark hyphy-common as Multi-Arch: foreign

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Jan 2021 12:52:56 +0100

hyphy (2.5.27+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Refresh patches.
  * debian/rules: build avx and sse3 version for amd64

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Jan 2021 10:03:12 +0100

hyphy (2.5.27+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 26 Jan 2021 16:47:41 +0530

hyphy (2.5.26+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.26+dfsg
  * Add createmanpages script to
    manage manpages for future versions
  * Update hyphy manpage

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 18 Jan 2021 13:57:49 +0000

hyphy (2.5.25+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 10 Jan 2021 11:25:52 +0530

hyphy (2.5.24+dfsg-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Fix reference to the build directory
    Closes: #977992

 -- Andreas Tille <tille@debian.org>  Thu, 24 Dec 2020 07:11:25 +0100

hyphy (2.5.24+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 21 Dec 2020 13:35:37 +0530

hyphy (2.5.23+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 18 Nov 2020 20:07:16 +0000

hyphy (2.5.22+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 17 Nov 2020 18:54:31 +0530

hyphy (2.5.21+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Remove failing tests on 32-bit archs

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 31 Oct 2020 23:42:17 +0530

hyphy (2.5.21+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 31 Oct 2020 19:16:55 +0530

hyphy (2.5.20+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 22 Oct 2020 20:14:59 +0530

hyphy (2.5.19+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Wrap up manual pages for hyphy-pt and hyphy-mpi

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 10 Oct 2020 15:27:47 +0200

hyphy (2.5.18+dfsg-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build with NOAVX and NOSSE3 cmake switches.  (Closes: #961382)
  * GTEST removed in favor of script run_unit_tests.sh:
      - updated d/copyright to remove gtest and include src/contrib;
      - removed note about gtest in d/rules;
      - removed lintian-overrides related to gtest.
  * Refreshed patches:
      - removed drop_profiling_option.patch;
      - removed patches related to gtest;
      - refreshed use_debian_sqlite.patch;
      - added patch to fix compilation issues with NOAVX and NOSSE3;
      - added patch to allow compilation on non-x86 CPU architectures.
  * Refreshed d/hyphy-common.install.

  [ Andreas Tille ]
  * d/rules: Remove some settings made for the former Python package

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Mon, 28 Sep 2020 21:33:54 +0200

hyphy (2.5.1+dfsg-3) unstable; urgency=medium

  * Versioned Depends: hyphy-common (= ${source:Version})
    Closes: #948093

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jan 2020 21:23:52 +0100

hyphy (2.5.1+dfsg-2) unstable; urgency=medium

  * Fix installation of NEWS.Debian to enable arch all only builds
  * Make autopkgtest more verbose

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2020 21:21:58 +0100

hyphy (2.5.1+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Add pkg-config to Build-Depends as FindMPI.cmake will need it for cross
    compilation. (Closes: #943311)

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 12
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * New upstream version
  * Standards-Version: 4.4.1
  * Use secure URI in Homepage field.
  * Remove patches msse_option_only_if_available.patch that are missing
    from debian/patches/series.
  * Skip GTEST target for the moment since this is currently in flux
    see https://github.com/veg/hyphy/issues/1058
  * No need to rename executables any more since upstream is doing this now
  * Autopkgtest exists since last release - so close bug
    Closes: #909707

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2019 22:47:47 +0100

hyphy (2.3.14+dfsg-2) unstable; urgency=medium

  [ Saira Hussain ]
  * Team upload.
  * Add unit test description file
  * Add the SimpleAnalyses suite for testing
  * Add control file for AUTOPKGTESTS

  [ Andreas Tille ]
  * Standards-Version: 4.3.1

 -- Saira Hussain <saira.0213@zoho.com>  Fri, 05 Jul 2019 13:45:06 +0000

hyphy (2.3.14+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 16:55:30 +0200

hyphy (2.3.13+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added ref to OMICtools

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * Add Build-Depends: opencl-dev
  * debian/rules:
     - Do not parse d/changelog
     - regard $(DEB_BUILD_OPTIONS) for override_dh_auto_test

  [ Liubov Chuprikova ]
  * Drop hyphygui as it was removed from upstream
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 10 Jul 2018 08:39:13 +0200

hyphy (2.2.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Use xz compression in d/watch
  * python-hyphy is now distributed in separate source archive so
    removing it from this package

 -- Andreas Tille <tille@debian.org>  Fri, 14 Oct 2016 08:01:08 +0200

hyphy (2.2.6+dfsg-5) unstable; urgency=medium

  * Fix error: narrowing conversion from 'double' to 'unsigned char'
  * Fix error: replacing false with nil
    Closes: #811866

 -- Andreas Tille <tille@debian.org>  Mon, 15 Aug 2016 12:44:58 +0200

hyphy (2.2.6+dfsg-4) unstable; urgency=medium

  * Fix gcc-6 build issue by incorporating upstream patch
    Closes: #811866
  * cme fix dpkg-control
  * Fix more spelling errors
  * hardening=+bindnow

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jul 2016 15:05:54 +0200

hyphy (2.2.6+dfsg-3) unstable; urgency=medium

  * Change build-dep on python3-dev to python3-all-dev to enable building for
    all supported python3 versions (thanks to Scott Kitterman
    <debian@kitterman.com> for the patch)
    Closes: #809452

 -- Andreas Tille <tille@debian.org>  Wed, 30 Dec 2015 21:49:03 +0100

hyphy (2.2.6+dfsg-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Hand-edit swig generated file to build with Python3.5.
    Closes: #802999

  [ Andreas Tille ]
  * Remove arch specific flags
    Closes: #802994

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2015 11:20:39 +0100

hyphy (2.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Hack around a mac-ism in setup.py

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2015 17:50:33 +0200

hyphy (2.2.5+dfsg-2) unstable; urgency=medium

  * Versioned Build-Depends: cmake (>= 3.0)
  * Drop profiling option (Thanks for the hint to Michael Banck
    <mbanck@debian.org>)
    Closes: #793345
  * Disable unneded test that breaks on 32 bit architectures (Thanks for
    the hint to Jakub Wilk <jwilk@debian.org>)
    Closes: #793346
  * Make sure that also in tests the existence of SSE3 extension is done
    Closes: #793344

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2015 17:13:45 +0200

hyphy (2.2.5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #792087)

 -- Andreas Tille <tille@debian.org>  Sat, 11 Jul 2015 06:57:36 +0200
